Subject: bug#31330: guix a2cfe broken after update from ~month old guix: util-linux-2.31.1: unbound variable

From: Martin Castillo <[email-masked]>
Date: Tue, 1 May 2018 17:37:52 +0200

On 01.05.2018 15:38, Ludovic Courtès wrote:
> Hello Martin,
> 
> Martin Castillo <[email-masked]> skribis:
> 
>> I updated guix (on guixsd) from a version from about beginning of april
>> to a2cfe.
>> After that, guix system (and other commands depending on it) give me a
>> backtrace.
> 
> Did you update with ‘guix pull’?
yes.
  The issue reported at
> <https://bugs.gnu.org/31329> could lead to partly-compiled sets of
> modules, which in turn could lead to errors like what you describe.
> 
> I’m working on a fix.

I was able to rebuild from git and reconfigure the system. Now it's
working again.

You seemed to have already fixed 31329. So I guess we can close my issue?

Martin
-- 
GPG: 7FDE 7190 2F73 2C50 236E  403D CC13 48F1 E644 08EC